
Figure - Bug #114751
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT1】【ST】【Tlog】Tlog中点击收集日志后，等待30分钟，查看/data/tlog/manual下日志，日志文
件删除后，不再保持新的日志文件，点击stop后也不产生新文件
2022-12-22 14:42 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-22

Priority: Normal Due date: 2022-12-27

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0060.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2022-12-30

Test Type: ST Root cause: 定时任务打包后将正在进行的手动收集的日志一并删除导致。

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，仅勾选radio log日志

3、等待30分钟，查看/data/tlog/manual下日志

4、点击stop后再次查看/data/tlog/manual下日志

5、再点击start，查看/data/tlog/manual下日志

【预期结果】

3、 30分钟后日志文件删除，但同时有新日志时产生一个新的文件保存实时日志

4、 对当前tlog下的日志进行打包

5、 产生新的文件

【实际结果】

3、 30分钟后日志文件删除，没有新的文件生成

5、 不产生文件（有时会产生文件，偶现）

History

#1 - 2022-12-22 17:16 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

- Assignee changed from CD SYSTEM-夏旭 to CD FW-廖涛

【Current conclusion】

打包的时候只会对/data/tlog/persist和/data/tlog/persist/kernel路径下正在修改的文件进行判断

使用tlog的apk抓取log，日志文件的保存路径为/data/tlog/manual/，

每个半小时打包的时候会把/data/tlog/manual/路径下正在写入的文件删除，导致打包之后使用apk抓的log不会继续保存

#2 - 2022-12-26 17:10 - CDTS-TEST 周婷

- Due date set to 2022-12-27
- Target version set to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-12-26 18:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172095 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:LogSystem: Fix manual collect file had been deleted problem.TC-RID: 1201-0201101IssueID: TS-R-BUG-114751Change-Id:

I3befc74846499cb45603f85778d5bd65fe57ad29

#4 - 2022-12-26 18:48 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-26

- Root cause set to 定时任务打包后将正在进行的手动收集的日志一并删除导致。

■ Current conclusion

已处理。定时任务完成后，保留正在进行的手动收集的日志。

■ My analysis

定时任务打包后将正在进行的手动收集的日志一并删除导致。

■ Next action

测试验证。

#5 - 2022-12-28 15:43 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD FW-廖涛

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212280332

验证结果：验证失败

013_manual_00000_221228_035613.log 这种类型的日志30分钟打包后会重新生成，但是QXDM和tcpdump就没有新的文件生成了

#6 - 2022-12-30 18:01 - CD FW-廖涛

- Status changed from VERIFY_FAILED to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- Fixed Version changed from 2022-12-26 to 2022-12-30

■ Current conclusion

已处理。
■ My analysis

定时打包任务删除文件逻辑和需求不一致导致。当前已调整为：当手动任务（收集、打包）正在进行时，执行完定时任务不删除 /data/tlog/manual/ 目录

下的文件。

■ Next action

测试验证。

#7 - 2023-01-05 17:11 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0066.X101

验证结果：验证通过

persist、tcpdump、qxdm日志在设备app手动运行时不会被删除，没有手动运行时，触发自动打包会删除

#8 - 2023-01-05 17:11 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

FSEM_003_0004_1671655110189.tar.gz 1020 KB 2022-12-22 移动测试一组_CDTS 刘强

FSEM_003_0009_1671664110237.tar.gz 1.21 MB 2022-12-22 移动测试一组_CDTS 刘强
